SharkHub
Webhooks

Listar webhooks

Lista os webhooks de um usuário. Sem o parâmetro `webhook_type`, retorna todos os tipos. A `webhook_secret_key` é sempre mascarada na resposta.

GET
/api/v1/user/webhook/{user_id}

Lista os webhooks de um usuário. Sem o parâmetro webhook_type, retorna todos os tipos. A webhook_secret_key é sempre mascarada na resposta.

Authorization

BearerAuth
AuthorizationBearer <token>

Informe apenas o token. A referência da API enviará automaticamente o cabeçalho no formato Authorization: Bearer {token}.

In: header

Path Parameters

user_id*integer

ID do usuário dono dos webhooks.

Query Parameters

webhook_type?WebhookType

Filtra a listagem por tipo de webhook.

Value in"pix_in" | "pix_out" | "account"

Response Body

application/json

application/json

application/json

curl -X GET "https://staging.sharktecnologia.com/api/v1/user/webhook/0"
{
  "webhook_pix_in": [
    {
      "id": "0b4f9c2b-1df5-4a2e-b4db-2e9bbd4f0a10",
      "created_at": "2026-04-16T00:00:00",
      "updated_at": "2026-04-16T00:00:00",
      "webhook_route": "https://site.com/pix-in",
      "webhook_api_key": "chave",
      "webhook_secret_key": "secr****cret"
    }
  ],
  "webhook_pix_out": null,
  "webhook_account": null
}
{
  "detail": "User not found or inactive"
}
{
  "detail": "Not authenticated"
}